Ignore:
Timestamp:
Oct 15, 2013 11:48:23 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/stable/1.2/configure

    r2961 r2988  
    10661066                          (implies --disable-shared)
    10671067  --enable-debug-asl compile project ASL with debug compiler flags
    1068   --enable-doscompile     Under Cygwin, compile so that executables run under
    1069                           DOS. Set to mingw to use gcc/g++/ld with
    1070                           -mno-cygwin. Set to msvc to use cl/link (or
    1071                           icl/link). Default when mentioned: mingw. Default
    1072                           when not mentioned: disabled.
     1068
     1069  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10731070  --enable-static[=PKGS]
    10741071                          build static libraries [default=no]
     
    18891886
    18901887# Get the name of the C compiler and compiler flags
    1891 case $build in
     1888
     1889
     1890  # for backward compatibility
     1891  # Check whether --enable-doscompile or --disable-doscompile was given.
     1892if test "${enable_doscompile+set}" = set; then
     1893  enableval="$enable_doscompile"
     1894  enable_doscompile=$enableval
     1895else
     1896  enable_doscompile=no
     1897fi;
     1898
     1899  # Check whether --enable-msvc or --disable-msvc was given.
     1900if test "${enable_msvc+set}" = set; then
     1901  enableval="$enable_msvc"
     1902  enable_msvc=$enableval
     1903else
     1904  enable_msvc=no
     1905     if test "$enable_doscompile" = msvc ; then
     1906       enable_msvc=yes
     1907     elif test "$enable_doscompile" != no ; then
     1908       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1909echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1910   { (exit 1); exit 1; }; }
     1911     fi
     1912
     1913fi;
     1914
     1915  if test "$enable_msvc" = yes; then
     1916    case $build in
     1917      *-cygwin* | *-mingw*) ;;
     1918      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1919echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1920   { (exit 1); exit 1; }; } ;;
     1921    esac
     1922  fi
     1923
     1924
     1925 case $build in
    18921926  *-mingw*)
    18931927    if test "${LD+set}" = set; then :; else
     
    18961930    ;;
    18971931 esac
    1898  case $enable_doscompile in
    1899    msvc)
    1900      if test "x${LD+set}" = xset; then :; else
    1901        LD=link
    1902      fi
    1903      ;;
    1904  esac
    1905 
    1906 
    1907  # Check whether --enable-doscompile or --disable-doscompile was given.
    1908 if test "${enable_doscompile+set}" = set; then
    1909   enableval="$enable_doscompile"
    1910   if test "$enable_doscompile" != no; then
    1911      case $build in
    1912        *-cygwin* | *-mingw*) ;;
    1913        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1914 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1915    { (exit 1); exit 1; }; } ;;
    1916      esac
     1932 if test $enable_msvc = yes ; then
     1933   if test "x${LD+set}" = xset; then :; else
     1934     LD=link
    19171935   fi
    1918 else
    1919   enable_doscompile=no
    1920 fi;
    1921  case "$enable_doscompile" in
    1922    mingw)
    1923      case $build in
    1924        *-mingw*) enable_doscompile=no ;;
    1925      esac
    1926      ;;
    1927    msvc|no) ;;
    1928    yes) enable_doscompile=mingw ;;
    1929    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1930                     Try configure --help=recursive." >&5
    1931 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1932                     Try configure --help=recursive." >&2;}
    1933    { (exit 1); exit 1; }; }
    1934       ;;
    1935   esac
    1936   if test "$enable_doscompile" != no ; then
    1937     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1938 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1939   fi
     1936 fi
    19401937
    19411938
     
    19801977case $build in
    19811978  *-cygwin* | *-mingw*)
    1982              if test "$enable_doscompile" = msvc ; then
    1983                comps="icl cl"
     1979             if test "$enable_msvc" = yes ; then
     1980               comps="icl cl gcc"
    19841981             else
    1985                comps="gcc cl"
     1982               comps="gcc icl cl"
    19861983             fi ;;
    19871984  *-*-solaris*)
     
    28362833            ;;
    28372834        esac
    2838         case $enable_doscompile in
    2839           mingw)
    2840             CFLAGS="-mno-cygwin"
    2841             cat >conftest.$ac_ext <<_ACEOF
    2842 /* confdefs.h.  */
    2843 _ACEOF
    2844 cat confdefs.h >>conftest.$ac_ext
    2845 cat >>conftest.$ac_ext <<_ACEOF
    2846 /* end confdefs.h.  */
    2847 
    2848 int
    2849 main ()
    2850 {
    2851 int i=0; i++;
    2852   ;
    2853   return 0;
    2854 }
    2855 _ACEOF
    2856 rm -f conftest.$ac_objext conftest$ac_exeext
    2857 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2858   (eval $ac_link) 2>conftest.er1
    2859   ac_status=$?
    2860   grep -v '^ *+' conftest.er1 >conftest.err
    2861   rm -f conftest.er1
    2862   cat conftest.err >&5
    2863   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2864   (exit $ac_status); } &&
    2865          { ac_try='test -z "$ac_c_werror_flag"
    2866                          || test ! -s conftest.err'
    2867   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2868   (eval $ac_try) 2>&5
    2869   ac_status=$?
    2870   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2871   (exit $ac_status); }; } &&
    2872          { ac_try='test -s conftest$ac_exeext'
    2873   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2874   (eval $ac_try) 2>&5
    2875   ac_status=$?
    2876   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2877   (exit $ac_status); }; }; then
    2878   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2879 else
    2880   echo "$as_me: failed program was:" >&5
    2881 sed 's/^/| /' conftest.$ac_ext >&5
    2882 
    2883 fi
    2884 rm -f conftest.err conftest.$ac_objext \
    2885       conftest$ac_exeext conftest.$ac_ext
    2886             CFLAGS=
    2887           ;;
    2888         esac
    28892835    esac
    28902836  fi
     
    32273173  clang* ) ;;
    32283174  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3229     case $build in
     3175
     3176 case $build in
    32303177  *-mingw*)
    32313178    if test "${LD+set}" = set; then :; else
     
    32343181    ;;
    32353182 esac
    3236  case $enable_doscompile in
    3237    msvc)
    3238      if test "x${LD+set}" = xset; then :; else
    3239        LD=link
    3240      fi
    3241      ;;
    3242  esac
     3183 if test $enable_msvc = yes ; then
     3184   if test "x${LD+set}" = xset; then :; else
     3185     LD=link
     3186   fi
     3187 fi
    32433188
    32443189    ;;
     
    48784823*-*-irix6*)
    48794824  # Find out which ABI we are using.
    4880   echo '#line 4880 "configure"' > conftest.$ac_ext
     4825  echo '#line 4825 "configure"' > conftest.$ac_ext
    48814826  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    48824827  (eval $ac_compile) 2>&5
     
    64776422
    64786423# Provide some information about the compiler.
    6479 echo "$as_me:6479:" \
     6424echo "$as_me:6424:" \
    64806425     "checking for Fortran 77 compiler version" >&5
    64816426ac_compiler=`set X $ac_compile; echo $2`
     
    75447489   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    75457490   -e 's:$: $lt_compiler_flag:'`
    7546    (eval echo "\"\$as_me:7546: $lt_compile\"" >&5)
     7491   (eval echo "\"\$as_me:7491: $lt_compile\"" >&5)
    75477492   (eval "$lt_compile" 2>conftest.err)
    75487493   ac_status=$?
    75497494   cat conftest.err >&5
    7550    echo "$as_me:7550: \$? = $ac_status" >&5
     7495   echo "$as_me:7495: \$? = $ac_status" >&5
    75517496   if (exit $ac_status) && test -s "$ac_outfile"; then
    75527497     # The compiler can only warn and ignore the option if not recognized
     
    78127757   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78137758   -e 's:$: $lt_compiler_flag:'`
    7814    (eval echo "\"\$as_me:7814: $lt_compile\"" >&5)
     7759   (eval echo "\"\$as_me:7759: $lt_compile\"" >&5)
    78157760   (eval "$lt_compile" 2>conftest.err)
    78167761   ac_status=$?
    78177762   cat conftest.err >&5
    7818    echo "$as_me:7818: \$? = $ac_status" >&5
     7763   echo "$as_me:7763: \$? = $ac_status" >&5
    78197764   if (exit $ac_status) && test -s "$ac_outfile"; then
    78207765     # The compiler can only warn and ignore the option if not recognized
     
    79167861   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79177862   -e 's:$: $lt_compiler_flag:'`
    7918    (eval echo "\"\$as_me:7918: $lt_compile\"" >&5)
     7863   (eval echo "\"\$as_me:7863: $lt_compile\"" >&5)
    79197864   (eval "$lt_compile" 2>out/conftest.err)
    79207865   ac_status=$?
    79217866   cat out/conftest.err >&5
    7922    echo "$as_me:7922: \$? = $ac_status" >&5
     7867   echo "$as_me:7867: \$? = $ac_status" >&5
    79237868   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    79247869   then
     
    1026110206  lt_status=$lt_dlunknown
    1026210207  cat > conftest.$ac_ext <<EOF
    10263 #line 10263 "configure"
     10208#line 10208 "configure"
    1026410209#include "confdefs.h"
    1026510210
     
    1036110306  lt_status=$lt_dlunknown
    1036210307  cat > conftest.$ac_ext <<EOF
    10363 #line 10363 "configure"
     10308#line 10308 "configure"
    1036410309#include "confdefs.h"
    1036510310
     
    1270512650   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1270612651   -e 's:$: $lt_compiler_flag:'`
    12707    (eval echo "\"\$as_me:12707: $lt_compile\"" >&5)
     12652   (eval echo "\"\$as_me:12652: $lt_compile\"" >&5)
    1270812653   (eval "$lt_compile" 2>conftest.err)
    1270912654   ac_status=$?
    1271012655   cat conftest.err >&5
    12711    echo "$as_me:12711: \$? = $ac_status" >&5
     12656   echo "$as_me:12656: \$? = $ac_status" >&5
    1271212657   if (exit $ac_status) && test -s "$ac_outfile"; then
    1271312658     # The compiler can only warn and ignore the option if not recognized
     
    1280912754   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1281012755   -e 's:$: $lt_compiler_flag:'`
    12811    (eval echo "\"\$as_me:12811: $lt_compile\"" >&5)
     12756   (eval echo "\"\$as_me:12756: $lt_compile\"" >&5)
    1281212757   (eval "$lt_compile" 2>out/conftest.err)
    1281312758   ac_status=$?
    1281412759   cat out/conftest.err >&5
    12815    echo "$as_me:12815: \$? = $ac_status" >&5
     12760   echo "$as_me:12760: \$? = $ac_status" >&5
    1281612761   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1281712762   then
     
    1437914324   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1438014325   -e 's:$: $lt_compiler_flag:'`
    14381    (eval echo "\"\$as_me:14381: $lt_compile\"" >&5)
     14326   (eval echo "\"\$as_me:14326: $lt_compile\"" >&5)
    1438214327   (eval "$lt_compile" 2>conftest.err)
    1438314328   ac_status=$?
    1438414329   cat conftest.err >&5
    14385    echo "$as_me:14385: \$? = $ac_status" >&5
     14330   echo "$as_me:14330: \$? = $ac_status" >&5
    1438614331   if (exit $ac_status) && test -s "$ac_outfile"; then
    1438714332     # The compiler can only warn and ignore the option if not recognized
     
    1448314428   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1448414429   -e 's:$: $lt_compiler_flag:'`
    14485    (eval echo "\"\$as_me:14485: $lt_compile\"" >&5)
     14430   (eval echo "\"\$as_me:14430: $lt_compile\"" >&5)
    1448614431   (eval "$lt_compile" 2>out/conftest.err)
    1448714432   ac_status=$?
    1448814433   cat out/conftest.err >&5
    14489    echo "$as_me:14489: \$? = $ac_status" >&5
     14434   echo "$as_me:14434: \$? = $ac_status" >&5
    1449014435   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1449114436   then
     
    1669016635   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1669116636   -e 's:$: $lt_compiler_flag:'`
    16692    (eval echo "\"\$as_me:16692: $lt_compile\"" >&5)
     16637   (eval echo "\"\$as_me:16637: $lt_compile\"" >&5)
    1669316638   (eval "$lt_compile" 2>conftest.err)
    1669416639   ac_status=$?
    1669516640   cat conftest.err >&5
    16696    echo "$as_me:16696: \$? = $ac_status" >&5
     16641   echo "$as_me:16641: \$? = $ac_status" >&5
    1669716642   if (exit $ac_status) && test -s "$ac_outfile"; then
    1669816643     # The compiler can only warn and ignore the option if not recognized
     
    1695816903   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1695916904   -e 's:$: $lt_compiler_flag:'`
    16960    (eval echo "\"\$as_me:16960: $lt_compile\"" >&5)
     16905   (eval echo "\"\$as_me:16905: $lt_compile\"" >&5)
    1696116906   (eval "$lt_compile" 2>conftest.err)
    1696216907   ac_status=$?
    1696316908   cat conftest.err >&5
    16964    echo "$as_me:16964: \$? = $ac_status" >&5
     16909   echo "$as_me:16909: \$? = $ac_status" >&5
    1696516910   if (exit $ac_status) && test -s "$ac_outfile"; then
    1696616911     # The compiler can only warn and ignore the option if not recognized
     
    1706217007   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1706317008   -e 's:$: $lt_compiler_flag:'`
    17064    (eval echo "\"\$as_me:17064: $lt_compile\"" >&5)
     17009   (eval echo "\"\$as_me:17009: $lt_compile\"" >&5)
    1706517010   (eval "$lt_compile" 2>out/conftest.err)
    1706617011   ac_status=$?
    1706717012   cat out/conftest.err >&5
    17068    echo "$as_me:17068: \$? = $ac_status" >&5
     17013   echo "$as_me:17013: \$? = $ac_status" >&5
    1706917014   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1707017015   then
     
    2050420449echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2050520450coin_link_input_cmd="$LN_S"
    20506 if test "$enable_doscompile" = mingw; then
    20507   coin_link_input_cmd=cp
    20508 fi
    2050920451case "$CC" in
    2051020452  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.